using System;
using System.Collections.Generic;
using System.Text;

namespace InABox.Core
{
    public class Notify
    {
        public static Notifier? Notifier { get; set; }

        private Notify() { }

        public static void Push<TNotification>(TNotification notification) => 
            Notifier?.Push(notification);

        public static void Push<TNotification>(Guid session, TNotification notification) => 
            Notifier?.Push(session, notification);

        public static void PushUser<TNotification>(Guid userID, TNotification notification) => 
            Notifier?.PushUser(userID, notification);

        public static void Push<TNotification>(Platform platform, TNotification notification) => 
            Notifier?.Push(platform, notification);
    }
}
